/*
THIS INFRAGISTICS ULTIMATE SOFTWARE LICENSE  AGREEMENT ("AGREEMENT") LOCATED HERE:
https://www.infragistics.com/legal/license/igultimate-la
https://www.infragistics.com/legal/license/igultimate-eula
GOVERNS THE LICENSING, INSTALLATION AND USE OF INFRAGISTICS SOFTWARE. BY DOWNLOADING AND/OR INSTALLING AND USING INFRAGISTICS SOFTWARE:  you are indicating that you have read and understand this Agreement, and agree to be legally bound by it on behalf of the yourself and your company.
*/
import * as tslib_1 from "tslib";
import { WebDropdownGroupDescription } from "./WebDropdownGroupDescription";
import { markType } from "./type";
/**
 * @hidden
 */
var WebSelectGroupDescription = /** @class */ /*@__PURE__*/ (function (_super) {
    tslib_1.__extends(WebSelectGroupDescription, _super);
    function WebSelectGroupDescription() {
        var _this = _super.call(this) || this;
        _this.g = null;
        _this.i = false;
        return _this;
    }
    WebSelectGroupDescription.prototype.get_type = function () {
        return "WebSelectGroup";
    };
    Object.defineProperty(WebSelectGroupDescription.prototype, "items", {
        get: function () {
            return this.g;
        },
        set: function (a) {
            this.g = a;
            this.e("Items");
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(WebSelectGroupDescription.prototype, "disabled", {
        get: function () {
            return this.i;
        },
        set: function (a) {
            this.i = a;
            this.e("Disabled");
        },
        enumerable: true,
        configurable: true
    });
    WebSelectGroupDescription.$t = markType(WebSelectGroupDescription, 'WebSelectGroupDescription', WebDropdownGroupDescription.$);
    return WebSelectGroupDescription;
}(WebDropdownGroupDescription));
export { WebSelectGroupDescription };
